<!--Jana Balkovicová-->
<!--xbalko01@stud.fit.vutbr.cz-->
<!--ESP8266: snímání teploty (IoT, WiFi AP pro mobilní telefon), IMP 2018-->
<!--original-->
<!--last edited: 27.12.2018-->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui, viewport-fit=cover">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <link rel="stylesheet" type="text/css" href="css/materialize.min.css"/>
    <link rel="stylesheet" type="text/css" href="fonts/iconfont/material-icons.css"/>

    <script type="text/javascript" src="js/materialize.min.js"></script>
    <script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="js/Chart.bundle.min.js"></script>
</head>
<body class="grey lighten-4">
<div class="navbar-fixed">
    <nav class="nav-extended">
        <div class="nav-wrapper black">
            <a href="index.html" class="brand-logo left white-text"><i class="material-icons" style="position: relative; left: 5px; font-weight: bold">keyboard_arrow_left</i> </a>
            <a href="#" onclick="getHistory()" class="brand-logo right white-text"><i class="material-icons" style="position: relative; right: 5px; font-weight: bold">sync</i> </a>
            <span class="brand-logo center white-text" style="font-weight: bold">sessions</span>
        </div>
        <div class="nav-content white">
            <ul class="tabs tabs-transparent">
                <li class="tab"><a href="current.html" class="grey-text" style="font-weight: bold">current</a></li>
                <li class="tab"><a class="active black-text" href="history.html" style="font-weight: bold">previous</a></li>
            </ul>
        </div>
    </nav>
</div>
<div style="margin-top: 58px"></div>
<div id="content"></div>
<script type="text/javascript" src="js/app.js"></script>

<script>
    $(document).ready(function () {
        getHistory();
    });

    function getHistory() {
        let $content = $("#content");
        $content.empty();
        let chart;
        $.get("http://192.168.4.1/history.json", function( jsonData ) {
            jsonData.history.reverse();
            let ticker = 0;
            let sessionCount = 0;
            jsonData.history.forEach(function (measurement) {
                if (ticker < measurement.ticker) {
                    if (ticker > 0) {
                        $content.append("<div class=\"center\" style=\"margin: 20px;border-bottom: 1px solid #dddddd;\"></div>");
                    }
                    $content.append('<canvas id="chart' + sessionCount + '" width="100%"></canvas>\n');
                    chart = drawChart("chart" + sessionCount);
                    sessionCount++;
                }
                addData(chart, measurement.ticker, parseFloat(measurement.temperature));
                chart.update();
                createCard($content, measurement.temperature, measurement.ticker);
                ticker = measurement.ticker;
            });
        });
    }
</script>
</body>
</html>